Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Dmitry Gutov <[email-masked]>
Date: Thu, 27 Apr 2023 12:00:51 +0300

On 27/04/2023 08:41, Eli Zaretskii wrote:
>> Date: Thu, 27 Apr 2023 02:05:21 +0300
>> From: Dmitry Gutov <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked],
>>   [email-masked], [email-masked], [email-masked]
>>
>> On 25/04/2023 21:35, Dmitry Gutov wrote:
>>>> So I think we need to rephrase that.  Something like
>>>>
>>>>     Packages which are part of the Emacs distribution cannot be updated
>>>>     that way.
>>>
>>> This is probably better. As long as we understand it to read "packages
>>> which are part ... and were never upgraded to a version from ELPA".
>>
>> Anyway, if we agree to keep this unfixed, we should probably add this
>> text somewhere: either into the docstring anyway, or to etc/PROBLEMS.
> 
> Do we agree to leave package-update unchanged?

Apparently so.

> And what about the renaming you suggested in another bug report?

Still waiting for your go-ahead. Although it sounds like I have it.

> I'd like to make a new pretest soon, with all these issues finalized
> as best as we can.

Very good.

> As for PROBLEMS, I'm not sure.  We usually put there only something
> that people actually complain about, not proactively.  How about
> mentioning this in the doc string instead?

Sure. Hopefully it won't create an impression that the described 
behavior is _intended_.